import pymysql
import config
import hashlib

mysql_host = untils.mysql_host
mysql_port = untils.mysql_port
mysql_user = untils.mysql_user
mysql_password = untils.mysql_password
mysql_database = untils.mysql_database

# 创建连接
con = pymysql.connect(host=mysql_host, user=mysql_user, password=mysql_password, port=mysql_port, charset="utf8",
                      database=mysql_database)

def save_search_music(music_id_json):
    music_info_all = music_id_json['data'][0]

    for music_info in music_info_all:
        try:
            with con.cursor() as cursor:
                # Create a new record
                sql = "INSERT INTO Music(type, link, songid, title, author, lrc, url, pic) VALUES (%s, %s, %s, %s, %s, %s, %s, %s)"
                cursor.execute(sql, (music_info['type'], music_info['link'], music_info['songid'], music_info['title'], music_info['author'],
                                music_info['lrc'], music_info['url'], music_info['pic']))
                con.commit()
                return {"message": "success"}
        except Exception as e:
            con.rollback()
            return {"message": "error", "error": str(e)}
        finally:
            con.close()


if __name__ == '__main__':
    music_id_json = {
  "message": "success",
  "data": {
    "data": [
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=2007985520",
        "songid": 2007985520,
        "title": "我爱你",
        "author": "刘大拿,刘思达LOFTHESTAR",
        "lrc": "[00:00.00] 作词 : 卢广仲/刘思达LOFTHESTAR\n[00:00.09] 作曲 : 卢广仲/刘思达LOFTHESTAR\n[00:00.19] 编曲 : 天秤Dav\n[00:00.29] 原唱 : 卢广仲\n[00:00.39]出品：网易飓风\n[00:00.75]OP:添翼创越工作室\n[00:01.26]【此版本为正式授权翻唱作品。未经著作权人许可，不得翻唱、翻录或使用】\n[00:03.18]曾经在我眼前\n[00:03.60]却又消失不见\n[00:05.79]这是今天的第六遍\n[00:11.16]电影里的配乐\n[00:13.74]好像你的双眼\n[00:16.20]我爱你快回到我身边\n[00:22.23]有些感情像是金子但不能拿来抵换\n[00:24.60]是你带我起航却不负责到达彼岸\n[00:27.18]为了追随你我的心换了籍贯\n[00:29.67]但却有太多的不得已让习惯变成遗憾\n[00:32.16]你怎么不说话呢\n[00:33.90]一直沉默\n[00:35.13]要怎么理清瓜葛\n[00:36.42]不甘心占多\n[00:38.13]你陪我看过的风景都还记得\n[00:40.65]在你离开后这一切都变灰色\n[00:42.36]再也猜不到重点\n[00:43.32]你做的一切都像是让我更加痛点\n[00:45.81]又过了一夜\n[00:46.68]惊醒在又一次的梦魇\n[00:48.15]一次次的\n[00:48.48]循环之中\n[00:49.26]看到你模糊的脸\n[00:50.67]觉得这不是惩罚更像奖励多些\n[00:53.55]I dont want be saved now\n[00:55.83]My brain thought is all about u\n[00:58.59]Don't let me down again\n[01:02.25]曾经在我眼前却又消失不见\n[01:07.26]这是今天的第六遍\n[01:12.42]电影里的配乐 好像你的双眼\n[01:17.10]我爱你 快回到我身边\n[01:22.17]我在你之后变想的多\n[01:24.33]有话也不爱说\n[01:25.26]外面再吵闹也一个人听歌\n[01:27.33]歌里唱的你和我\n[01:29.07]它就像旁观者\n[01:30.03]每一句旋律都刺在我心窝\n[01:32.67]找你不是没想过意料中的失落总会让我退缩\n[01:37.62]我也不想再听说你如何又如何只会更折磨\n[01:42.72]总是会在释怀和不舍中不停的切换\n[01:46.14]唯独遗憾给的痛苦从不间断\n[01:48.60]每当我想通回忆又来添乱\n[01:50.94]不在身边的你自动变成我的牵绊\n[01:53.97]这感觉何时能够停止 notyet\n[01:56.34]好像时间又慢了些\n[01:59.43]今天的第六遍\n[02:03.57]曾经在我眼前却又消失不见\n[02:07.92]这是今天的第六遍\n[02:13.02]电影里的配乐 好像你的双眼\n[02:17.79]我爱你 快回到我身边\n[02:23.79]曾经在我眼前却又消失不见\n[02:28.14]这是今天的第六遍\n[02:33.21]电影里的配乐 好像你的双眼\n[02:37.98]我爱你 快回到我身边\n[02:41.97]制作人：李彦泽\n[02:42.36]吉他：张振\n[02:42.75]混音/母带工程师：沙栩帆\n[02:48.42]和声编写&和声：沙栩帆/俞建明\n[02:51.24]统筹企划：蔡梦珏\n[02:52.68]监制：徐思灵/胡圣羽/张泽宥\n[02:53.40]封面设计：武中奇\n[02:53.85]音乐营销：网易飓风\n[02:54.33]出品人：谢奇笛\n",
        "url": "http://music.163.com/song/media/outer/url?id=2007985520.mp3",
        "pic": "http://p1.music.126.net/iy39tO2gJt_DPctRSYt8ag==/109951168160088998.jpg?param=300x300"
      },
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=205421",
        "songid": 205421,
        "title": "P.S.我爱你",
        "author": "黄丽玲",
        "lrc": "[00:00.000] 作词 : 邬裕康\n[00:01.000] 作曲 : 刘勇志\n[00:16.440]我想要成为你的眼\n[00:22.140]把最美的风景\n[00:26.500]收进你的心中\n[00:31.710]我想要成为你的手\n[00:38.200]好让我 从现在到以后\n[00:42.640]占有你温柔 一刻不放过\n[00:48.170]恨不得把明天没收\n[00:52.100]让你永远不会变动\n[00:56.720]专注的爱着我\n[01:03.000]我爱你没有保留\n[01:06.710]我爱你就到最后\n[01:10.700]有些人值得等候\n[01:13.420]有些悲伤值得忍受\n[01:18.790]我爱你不是冲动\n[01:23.200]生命尽头反正一场空\n[01:26.700]只要你记得 我们那么爱过\n[01:41.300]\n[01:52.100]我要替你收集笑容\n[01:57.710]怕未来 快乐变得贵重\n[02:03.300]要是少了我 你有多寂寞\n[02:09.420]恨不得把明天没收\n[02:13.110]让你永远不会变动\n[02:17.900]专注的爱着我\n[02:22.490]我爱你没有保留\n[02:26.700]我爱你就到最后\n[02:30.129]有些人值得等候\n[02:33.400]有些悲伤值得忍受\n[02:37.570]我爱你不是冲动\n[02:41.450]生命尽头反正一场空\n[02:45.400]只要你记得 我们那么爱过\n[02:52.100]太阳不会放弃天空\n[02:57.400]哪怕你不再属于我\n[03:01.330]我会在不同的窗口 给你拥抱\n[03:12.110]我爱你没有保留\n[03:16.170]我爱你就到最后\n[03:20.080]有些人值得等候\n[03:23.160]有些悲伤值得忍受\n[03:28.010]我爱你不是冲动\n[03:31.810]生命尽头反正一场空\n[03:36.060]只要你记得 我们那么爱过\n[03:44.490]我忘不掉 你第一次吻我\n",
        "url": "http://music.163.com/song/media/outer/url?id=205421.mp3",
        "pic": "http://p1.music.126.net/Td7zYX0OXWRu0CWP7aw8ow==/109951164163127618.jpg?param=300x300"
      },
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=504652401",
        "songid": 504652401,
        "title": "我爱你 Luv Is Luv",
        "author": "贺仙人",
        "lrc": "[00:00.00] 作词 : 贺仙人\n[00:01.00] 作曲 : 贺仙人\n[00:02.00] 编曲 : 王晓夫/St.K4N3/2Majik\n[00:03.00] 录音 : 王晓夫\n[00:04.00] 混音 : 王晓夫\n[00:05.00] 制作 : 王晓夫\n[00:06.00] 吉他 : 徐可\n[00:12.59]你是否属于我这不重要\n[00:20.77]你在我的心里面\n[00:24.36]你存在于\n[00:27.86]我的每个习惯和每次呼吸\n[00:33.13]蔓延在我的血液\n[00:37.25]hey 我孤单的灵魂被你照亮\n[00:45.53]你是最温暖的光\n[00:48.67]oh 你的爱\n[00:52.40]她平静而又深邃让我着迷\n[00:56.79]oh baby I just can’t leave u now\n[01:01.82]我 对你的爱就像河流\n[01:06.00]穿越平原和山丘\n[01:09.27]从不畏艰险 不远万里而向你奔流\n[01:15.35]我的心如此疯狂\n[01:18.55]前所未有的明朗\n[01:21.84]我想这一定是因为我爱你就像…\n[01:36.07]因为我爱你就像…\n[01:50.98]hey 我孤单的灵魂被你照亮\n[01:59.41]你是最温暖的光\n[02:02.47]oh 你的爱\n[02:06.36]她平静而又深邃让我着迷\n[02:10.69]oh baby I just can’t leave u now\n[02:15.68]我 对你的爱就像河流\n[02:19.91]穿越平原和山丘\n[02:23.00]从不畏艰险 不远万里而向你奔流\n[02:29.19]我的心如此疯狂\n[02:32.36]前所未有的明朗\n[02:35.44]我想这一定是因为我爱你就像…\n[02:49.93]因为我爱你就像…\n",
        "url": "http://music.163.com/song/media/outer/url?id=504652401.mp3",
        "pic": "http://p1.music.126.net/h2zkaSqvw3ufLilm2R1sQw==/109951163021924377.jpg?param=300x300"
      },
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=26601421",
        "songid": 26601421,
        "title": "我爱你(live版)",
        "author": "卢广仲",
        "lrc": "[00:00.00] 作词 : 卢广仲\n[00:01.00] 作曲 : 卢广仲\n[00:47.82]曾...曾经在我眼前\n[01:26.39]却又消失不见\n[01:33.00]这是今天的第六遍\n[01:43.83]电影里的配乐\n[01:48.58]好像你的双眼\n[01:53.89]我爱你 快回到 我身边\n[02:20.01]\n[02:29.34]好不好 好不好 好不好\n[02:31.89]答案没有什么好不好\n[02:34.15]不知道 不知道 不知道\n[02:37.09]不知道是什么好预兆\n[02:39.27]好不好 好不好 好不好\n[02:42.09]答答答答答答答答答\n[02:44.41]不知道 不知道 不知道\n[02:47.24]不知道是什么好预兆\n[02:49.35]太阳公公出来了\n[02:54.65]他对我呀笑呀笑\n[02:59.77]我爱你 你知不知道\n[03:06.93]曾经在我眼前\n[03:09.59]却又消失不见\n[03:12.09]这是今天的第六遍\n[03:17.25]电影里的配乐\n[03:19.89]好像你的双眼\n[03:22.09]我爱你 快回到 我身边\n[03:35.52]\n[03:38.68]好不好 好不好 好不好\n[03:41.18]答答答答答答答答答\n[03:43.57]不知道 不知道 不知道\n[03:46.39]不知道是什么好预兆\n[03:48.59]太阳公公出来了\n[03:53.54]他对我呀笑呀笑\n[03:58.88]我爱你 你知不知道\n[04:05.78]曾经在我眼前\n[04:08.49]却又消失不见\n[04:11.04]这是今天的第六遍\n[04:16.20]电影里的配乐\n[04:18.88]好像你的双眼\n[04:21.09]我爱你 快回到 我身边\n[04:40.60]\n[05:08.61]太阳公公出来了\n[05:12.85]他对我呀笑呀笑\n[05:18.19]我爱你 你知不知道\n[05:25.57]曾经在我眼前\n[05:28.10]却又消失不见\n[05:30.64]我不要比赛交白卷\n[05:35.81]电影里的配乐\n[05:38.34]好像你的双眼\n[05:40.50]我爱你 快回到\n[05:45.85]我爱你 快回到\n[05:51.05]我爱你 快回到 我身边\n",
        "url": "http://music.163.com/song/media/outer/url?id=26601421.mp3",
        "pic": "http://p1.music.126.net/w-bF0DCMxMcESCBYXJmlDw==/4439827952972968.jpg?param=300x300"
      },
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=526935815",
        "songid": 526935815,
        "title": "อยากรู้...แต่ไม่อยากถาม",
        "author": "Pop Pongkool",
        "lrc": "[00:00.00] 作词 : วิวัฒน์ ฉัตรธีรภาพ\n[00:01.00] 作曲 : อพิสิษฎ์ ณ ตะกั่วทุ่ง\n[00:16.88]ได้ชิดเพียงลมหายใจ\n[00:20.23]แค่ได้ใช้เวลาร่วมกัน\n[00:23.62]แค่เพื่อนเท่านั้น\n[00:26.30]แต่มันเกินห้ามใจ\n[00:31.84]ที่ค้างในความรู้สึก\n[00:35.35]ว่าลึกๆเธอคิดยังไง\n[00:38.59]รักเธอเท่าไร\n[00:41.39]แต่ไม่เคยพูดกัน\n[00:45.99]อะไรที่อยู่ในใจก็เก็บเอาไว้\n[00:53.77]มันมีความสุขแค่นี้ก็ดีมากมาย\n[01:01.06]เธอจะมีใจหรือเปล่า\n[01:04.96]เธอเคยมองมาที่ฉันหรือเปล่า\n[01:09.48]ที่เราเป็นอยู่นั้นคืออะไร\n[01:16.28]เธอจะมีใจหรือเป\n[01:19.94]มันคือความจริงที่ฉันอยากรู้ติดอยู่ในใจ\n[01:25.20]แต่ไม่อยากถาม\n[01:28.22]กลัวว่าเธอเปลี่ยนไป\n[01:35.80]ไม่ถามยังดีซะกว่า\n[01:38.86]เพราะฉันรู้ถ้าเราถามกัน\n[01:42.40]กลัวคำๆนั้น อาจทำร้ายหัวใจ\n[01:49.88]อะไรที่อยู่ในใจก็เก็บเอาไว้\n[01:57.27]มันมีความสุขแค่นี้ก็ดีมากมาย\n[02:04.87]เธอจะมีใจหรือเปล่า\n[02:08.71]เธอเคยมองมาที่ฉันหรือเปล่า\n[02:13.35]ที่เราเป็นอยู่นั้นคืออะไร\n[02:19.97]เธอจะมีใจหรือเปล่า\n[02:23.58]มันคือความจริงที่ฉันอยากรู้ติดอยู่ในใจ\n[02:28.76]แต่ไม่อยากถาม\n[02:32.10]กลัวรับมันไม่ไหว\n[02:49.84]เธอจะมีใจหรือเปล่า\n[02:53.62]มันคือความจริงที่ฉันอยากรู้ติดอยู่ในใจ\n[02:58.92]แต่ไม่อยากถาม\n[03:01.97]กลัวรับมันไม่ไหว\n",
        "url": "http://music.163.com/song/media/outer/url?id=526935815.mp3",
        "pic": "http://p1.music.126.net/YHJf5d-3r4CdhVm1ZsNlrw==/109951163095371221.jpg?param=300x300"
      },
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=1829162380",
        "songid": 1829162380,
        "title": "Ayasa绚沙-Ayasa绚沙-我爱你（小提琴虹 remix）",
        "author": "violin琪虹",
        "lrc": "",
        "url": "http://music.163.com/song/media/outer/url?id=1829162380.mp3",
        "pic": "http://p1.music.126.net/vsrq8MI6dWo_mVxY1Vzyow==/109951165806756872.jpg?param=300x300"
      },
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=1988565276",
        "songid": 1988565276,
        "title": "我爱你",
        "author": "法老,MC脏脏",
        "lrc": "[00:00.000] 作词 : 法老/MC脏脏\n[00:01.000] 作曲 : 法老/MC脏脏\n[00:02.521]混音：隆历奇\n[00:04.640]编曲：隆历奇\n[00:07.295]录音：杨秋儒\n[00:09.693]我好爱你\n[00:20.851]我此刻不会再隐瞒你\n[00:22.442]在开始恋情之前我说\n[00:24.300]我没资格去评判你\n[00:25.362]你那么美丽\n[00:26.422]从头到尾散发魅力\n[00:28.281]我想和你环游世界一起去看看北极\n[00:30.404]你说 我会一直陪你陪你 一切的习惯都随你\n[00:33.335]在酒吧的前厅 窗外又开始响起雷雨\n[00:35.722]我们走出户外 在雨中开始漫长的接吻\n[00:38.641]两个不羁的人格 决定一起对世界泄愤\n[00:41.030]自由是我们的信条\n[00:42.357]心跳是信号\n[00:43.694]一起去滑板摔出青泡\n[00:45.286]但只要两个人浸泡在一起那温柔的就像摔进天堂的音道\n[00:49.002]让我们互相眼里只有彼此 把所有荷尔蒙都引爆\n[00:52.186]但世界末日我们也会分开\n[00:54.045]因为宇宙塌了下来 所以我要去为你撑开\n[00:56.707]火车轨道 只是为了我们存在\n[00:59.362]我们马上出发 就让不相干的人全滚蛋\n[01:02.016]（在一刹那woman）\n[01:03.115]（特别的话woman）\n[01:04.178]你是我见过镜头里最完美那woman\n[01:06.833]（在一刹那woman）\n[01:08.160]（特别的话woman）\n[01:09.487]我一定不会认错那就是爱woman\n[01:12.138]（那就是爱）越过山河和你拥吻\n[01:15.071]（这就是爱）in this moment\n[01:17.191]要多伟大的爱才能把爱这个字写的工整\n[01:20.110]我可以停止呼吸\n[01:21.437]但我不能停止爱你 woman\n[01:22.766]你说你爱听摇滚\n[01:24.623]可居然陪我喜欢听说唱\n[01:25.950]你说这世界的音乐就像动物多种多样\n[01:28.349]别藐视\n[01:29.144]看海岸路边的礁石\n[01:30.472]麋鹿在天际消失\n[01:31.800]当我拉着你的手时 自然的十指交织\n[01:33.656]我们和所有当地艺术家都成为了朋友\n[01:36.576]或许他们没有成就\n[01:37.913]但从未忘记奋斗\n[01:39.242]就像现在并非旺季\n[01:40.832]我们却牵手在海边贩卖我们的手工制品\n[01:43.488]青青子衿，悠悠我心\n[01:45.078]你美的好像来自诗经\n[01:46.936]你却说为我感到有文化而吃惊\n[01:48.804]我生气地在后面追着你划过了海岸线\n[01:51.458]转瞬我们就在呼伦贝尔的羊群里面 过夜\n[01:54.111]每次贴近你 我都感到大脑与呼吸 脱节\n[01:56.768]我好爱你 爱到想把此刻的时间 全部终结\n[01:59.429]我不关心火星是否有水 只关心这个冬天\n[02:02.085]我找了好几辈子的人就 站在我的身边\n[02:04.738]（在一刹那woman）\n[02:05.535]（特别的话woman）\n[02:06.874]你是我见过镜头里最完美那woman\n[02:09.530]（在一刹那woman）\n[02:10.866]（特别的话woman）\n[02:12.192]我一定不会认错那就是爱woman\n[02:14.582]（那就是爱）越过山河和你拥吻\n[02:17.503]（这就是爱）in this moment\n[02:19.623]要多伟大的爱才能把爱这个字写的工整\n[02:22.553]我可以停止呼吸\n[02:23.879]但我不能停止爱你 woman\n[02:25.472]我们搭建了两个人的家庭\n[02:27.328]建在房车里的咖啡厅\n[02:28.922]让那些忙碌的人 带来故事由我们聆听\n[02:31.350]我说再也不回城市\n[02:33.139]我想要自由真实\n[02:34.200]我想和你一起老去化成分子\n[02:36.067]那暖熏的风暴将把我们\n[02:37.926]卷上天空\n[02:38.723]降下雨水\n[02:39.253]滋润雄伟的天山最高尖峰\n[02:41.377]这不就是我们所追求的吗\n[02:42.969]哪怕这臭水沟 连喝水都会 硌牙\n[02:45.359]我们也做相依伴的荷花\n[02:46.960]我看着她的眼睛\n[02:48.300]语气坚定\n[02:49.098]她却 突然闪烁地像是画布上的剪影\n[02:51.485]开始变形\n[02:52.282]奇怪的光线开始交织\n[02:53.874]我大喊她的名字\n[02:54.934]她只是微笑 直到变成了蝴蝶消失\n[02:57.059]再睁开眼睛 是泪水 是害怕地把呼吸屏住\n[03:00.252]是黑暗里找她的手却摸到件工作服\n[03:03.173]忙碌的窗外 没有爱情\n[03:04.764]有混凝土 有风声在呼 有东方 明珠\n[03:07.153]（在一刹那woman）\n[03:08.225]（特别的话woman）\n[03:09.552]你是我见过镜头里最完美那woman\n[03:12.207]（在一刹那woman）\n[03:13.531]（特别的话woman）\n[03:14.596]我一定不会认错那就是爱woman\n[03:17.287]（那就是爱）越过山河和你拥吻\n[03:19.940]（这就是爱）in this moment\n[03:22.065]要多伟大的爱才能把爱这个字写的工整\n[03:25.449]我可以停止呼吸\n[03:26.510]但我不能停止爱你\n[03:33.110]监制:邓思楚\n[03:35.527]出品公司：AYO！\n",
        "url": "http://music.163.com/song/media/outer/url?id=1988565276.mp3",
        "pic": "http://p1.music.126.net/WEOaWIg8WAG_kBhmAx7zbA==/109951168688783089.jpg?param=300x300"
      },
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=68378",
        "songid": 68378,
        "title": "我爱你",
        "author": "新裤子",
        "lrc": "[00:00.000] 作词 : 新裤子\n[00:00.193] 作曲 : 新裤子\n[00:00.386] 编曲 : 新裤子\n[00:00.580]我爱你，我总怕见不到你\n[00:07.650]看着你，我要把全部给你\n[00:14.120]纷纷乱乱的记忆 无拘无束的哭泣\n[00:21.380]反反复复的想你 我终于失去你\n[00:27.530]分离 和你在一起\n[00:32.700]\n[00:34.370]（KeyBoard Solo）\n[01:03.300]我爱你，我总怕见不到你\n[01:09.940]看着你，我要把全部给你\n[01:16.570]纷纷乱乱的记忆 无拘无束的哭泣\n[01:23.710]反反复复的想你 我终于失去你\n[01:30.360]分离 和你在一起\n[01:37.990]\n[01:38.180]（Music）新裤子－我爱你\n[01:51.930]我爱你，我总怕见不到你\n[01:58.880]看着你，我要把全部给你\n[02:05.400]纷纷乱乱的记忆 无拘无束的哭泣\n[02:12.530]反反复复的想你 我终于失去你\n[02:18.980]分离 和你在一起\n[02:25.760]（Music）\n[40:39.990]\n",
        "url": "http://music.163.com/song/media/outer/url?id=68378.mp3",
        "pic": "http://p1.music.126.net/PHmfQN1ssTM56sjHU9AuSQ==/86861418607081.jpg?param=300x300"
      },
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=1459498368",
        "songid": 1459498368,
        "title": "我爱你（抖音完整版）（翻自 卢广仲）",
        "author": "徐心愉",
        "lrc": "[00:00.000] 作词 : 卢广仲/群可/邢书郡\n[00:01.000] 作曲 : 卢广仲/邢书郡\n[00:02.000] 编曲 : 王中易\n[00:07.230] 制作人：王中易\n[00:08.660] 吉他：陈柏彤\n[00:09.819] 和声：栗可\n[00:11.076] 混音：王宇呈/王中易\n[00:12.674] 制作团队：伊格赛听\n[00:22.114] 曾经在我眼前 却又消失不见\n[00:27.352] 这是今天的第六遍\n[00:32.413] 电影里的配乐 好像你的双眼\n[00:37.394] 我爱你 快回到 我身边\n[00:42.751] 曾经在我眼前 却又消失不见\n[00:47.680] 这是今天的第六遍\n[00:52.794] 电影里的配乐 好像你的双眼\n[00:57.495] 我爱你 快回到 我身边\n[01:03.540] One Two Three\n[01:06.293] 有没有 这样的一封信\n[01:11.319] 上面 记载着你的心情\n[01:16.440] 有没有 这样的一首歌\n[01:21.460] 唱 出人们的悲欢离合\n[01:26.526] 有没有 这样的一场电影\n[01:31.425] 能让你我 触景伤情\n[01:35.629] O mY BABY\n[01:37.964] 原来你早已经 带走了我的心\n[01:46.320] 听到爱听的音乐 想起熟悉的你\n[01:48.646] 快要陌生的轴距 可能触景生情\n[01:51.142] 哈 我想我 都不属于自己\n[01:53.854] 或许 自己的心情 不再删除那记忆\n[01:56.539] 看不见你的时候 勉强的我好累\n[01:58.906] 从第一眼见到你的时候 就感觉很对\n[02:01.790] 那么也请你 给我一次机会\n[02:04.171] 不要让我每天 带着安慰入睡\n[02:06.716] 在我眼前 却又消失不见\n[02:10.927] 这是今天的第六遍\n[02:16.232] 电影里的情节 好像你的双眼\n[02:20.636] 我爱你 快回到 我身边\n[02:26.707] 在我眼前 却又消失不见\n[02:31.121] 这是今天的第六遍\n[02:36.241] 电影里的配乐 好像你的双眼\n[02:41.051] 我爱你 快回到 我身边\n[03:06.993] 听到爱听的音乐 想起熟悉的你\n[03:09.268] 快要陌生的轴距 可能触景生情\n[03:11.872] 哈 我想我 都不属于自己\n[03:14.327] 或许 自己的心情 不再删除那记忆\n[03:17.339] 看不见你的时候 勉强的我好累\n[03:19.799] 从第一眼见到你的时候 就感觉很对\n[03:22.422] 那么也请你 给我一次机会\n[03:24.983] 不要让我每天 带着安慰入睡\n[03:27.535] 在我眼前 却又消失不见\n[03:31.766] 这是今天的第六遍\n[03:36.988] 电影里的情节 好像你的双眼\n[03:41.508] 我爱你 快回到 我身边\n[03:47.572] 在我眼前 却又消失不见\n[03:52.030] 这是今天的第六遍\n[03:57.088] 电影里的配乐 好像你的双眼\n[04:01.859] 我爱你 快回到 我身边\n",
        "url": "http://music.163.com/song/media/outer/url?id=1459498368.mp3",
        "pic": "http://p1.music.126.net/HRUorxaQMCzcQh89nEe6YQ==/109951165100677013.jpg?param=300x300"
      },
      {
        "type": "netease",
        "link": "http://music.163.com/#/song?id=2000142344",
        "songid": 2000142344,
        "title": "我爱你-程佳佳",
        "author": "打造完美音乐",
        "lrc": "[00:00.00] 作词 : 打造完美音乐\n[00:00.00] 作曲 : 打造完美音乐\n[00:00.00] 编曲 : 打造完美音乐\n[00:00.00]那么也请你给我一次机会\n[00:08.46]不要让我每天带着安慰入睡\n[00:10.91]在我眼前\n[00:12.82]却又消失不见\n[00:15.39]这是今天的第六遍\n[00:20.58]电影里的情节\n[00:23.05]好像你的双眼\n[00:25.38]我爱你 快回到 我 身边\n[00:31.22]oh~在我眼前\n[00:33.27]却又消失不见\n[00:35.84]这是今天的第六遍\n[00:40.87]电影里的情节\n[00:43.48]好像你的双眼\n[00:45.74]我爱你 快回到 我身边\n",
        "url": "http://music.163.com/song/media/outer/url?id=2000142344.mp3",
        "pic": "http://p1.music.126.net/-XOM0P5Jw7ELN5ufko05lw==/109951167900715199.jpg?param=300x300"
      }
    ],
    "code": 200,
    "error": ""
  }
}
    music_id_json = music_id_json['data']
    print(music_id_json)
    save_search_music(music_id_json)
